<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-HealthCare_Advocate_Suite">
              <span class="suite-name border-passed">HealthCare Advocate Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-HealthCare_Advocate_Suite">
                    <span>C:\Users\IEUser\git\healthcare-web-advocate\healthcareWebAdvocate\src\test\resources\runner\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-HealthCare_Advocate_Suite">
                    <span class="test-stats">2 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-HealthCare_Advocate_Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-HealthCare_Advocate_Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-HealthCare_Advocate_Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-HealthCare_Advocate_Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-HealthCare_Advocate_Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">2 methods,   2 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-HealthCare_Advocate_Suite" class="hide-methods passed suite-HealthCare_Advocate_Suite"> (hide)</a> <!-- hide-methods passed suite-HealthCare_Advocate_Suite -->
                      <a href="#" panel-name="suite-HealthCare_Advocate_Suite" class="show-methods passed suite-HealthCare_Advocate_Suite"> (show)</a> <!-- show-methods passed suite-HealthCare_Advocate_Suite -->
                    </span>
                    <div class="method-list-content passed suite-HealthCare_Advocate_Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-HealthCare_Advocate_Suite" title="hc.advocate.testCases.NotValidAccLogInTest" hash-for-method="notValidAccLogInTest({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication})">notValidAccLogInTest({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication})</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-HealthCare_Advocate_Suite" title="hc.advocate.testCases.ValidAccLogInTest" hash-for-method="validAccLogInTest({password=Test12345678*, email=rwhc.navigator@inbox.ru})">validAccLogInTest({password=Test12345678*, email=rwhc.navigator@inbox.ru})</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-HealthCare_Advocate_Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-HealthCare_Advocate_Suite" class="panel HealthCare_Advocate_Suite">
          <div class="suite-HealthCare_Advocate_Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">hc.advocate.testCases.ValidAccLogInTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="validAccLogInTest({password=Test12345678*, email=rwhc.navigator@inbox.ru})">
                  </a> <!-- validAccLogInTest({password=Test12345678*, email=rwhc.navigator@inbox.ru}) -->
                  <span class="method-name">validAccLogInTest</span>
                  <span class="parameters">({password=Test12345678*, email=rwhc.navigator@inbox.ru})</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-HealthCare_Advocate_Suite-class-passed -->
          <div class="suite-HealthCare_Advocate_Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">hc.advocate.testCases.NotValidAccLogInTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="notValidAccLogInTest({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication})">
                  </a> <!-- notValidAccLogInTest({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication}) -->
                  <span class="method-name">notValidAccLogInTest</span>
                  <span class="parameters">({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication})</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-HealthCare_Advocate_Suite-class-passed -->
        </div> <!-- panel HealthCare_Advocate_Suite -->
        <div panel-name="test-xml-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\IEUser\git\healthcare-web-advocate\healthcareWebAdvocate\src\test\resources\runner\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;HealthCare Advocate Suite&quot;&gt;
  &lt;listeners&gt;
    &lt;listener class-name=&quot;org.uncommons.reportng.HTMLReporter&quot;/&gt;
    &lt;listener class-name=&quot;org.uncommons.reportng.JUnitXMLReporter&quot;/&gt;
    &lt;listener class-name=&quot;hc.advocate.listeners.CustomListeners&quot;/&gt;
  &lt;/listeners&gt;
  &lt;test name=&quot;Valid Acc Log In Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;hc.advocate.testCases.ValidAccLogInTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Valid Acc Log In Test --&gt;
  &lt;test name=&quot;Not Valid Acc Log In Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;hc.advocate.testCases.NotValidAccLogInTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Not Valid Acc Log In Test --&gt;
&lt;/suite&gt; &lt;!-- HealthCare Advocate Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for HealthCare Advocate Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Valid Acc Log In Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">Not Valid Acc Log In Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for HealthCare Advocate Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for HealthCare Advocate Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_HealthCare_Advocate_Suite');
function tableData_HealthCare_Advocate_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(2);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'validAccLogInTest')
data.setCell(0, 2, 'hc.advocate.testCases.ValidAccLogInTest')
data.setCell(0, 3, 4127);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'notValidAccLogInTest')
data.setCell(1, 2, 'hc.advocate.testCases.NotValidAccLogInTest')
data.setCell(1, 3, 1681);
window.suiteTableData['HealthCare_Advocate_Suite']= { tableData: data, tableDiv: 'times-div-HealthCare_Advocate_Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 5 seconds</span>
              <div id="times-div-HealthCare_Advocate_Suite">
              </div> <!-- times-div-HealthCare_Advocate_Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for HealthCare Advocate Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-HealthCare_Advocate_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">hc.advocate.testCases.ValidAccLogInTest</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">validAccLogInTest({password=Test12345678*, email=rwhc.navigator@inbox.ru})</span>
                <span class="method-start">0 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">hc.advocate.testCases.NotValidAccLogInTest</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">notValidAccLogInTest({password=Test12345678*, email=hcaqa@inbox.ru, assertText=You have problems with authentication})</span>
                <span class="method-start">4742 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-suite after">
                <span class="method-name">tearDown</span>
                <span class="method-start">6714 ms</span>
              </div> <!-- configuration-suite after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
